-- load hitfeed.cfg when the pk3 is added to load settings!
freeslot("sfx_hfcrea", "sfx_hfload")
local loaded = false

-- store commands, we'll iterate through this to create a config if necessary
local commands = {
	{cv_hf, "Toggles the hitfeed on/off"}, 
	{cv_hf_dm, "Changes how the hitfeed displays messages"}, 
	{cv_hf_cl, "Limits the amount of characters in names"},
	{cv_hf_ml, "Limits the amount of messages displayed at once"}, 
	{cv_hf_bd, "Toggles the hitmessage backdrops on/off"}, 
	{cv_hf_hc, "Changes the hitmessage highlight colour"},
	{cv_hf_cn, "Toggles coloured names on/off"},
}

addHook("ThinkFrame", do
	if (loaded) then return end
	
	-- create/load the config!
	local config = io.open("hitfeed.cfg", "r")
	if not (config)	-- no config? create one.
		config = io.open("hitfeed.cfg", "w")	-- create it.
			
		-- write all our defaults to it.
		for i = 1, #commands
			local command = commands[i][1]
			local command_desc = commands[i][2]
				
			config:write(command.name.." "..command.defaultvalue.." // "..command_desc.."\n")
		end
			
		CONS_Printf(consoleplayer, "\x83NOTICE:\x80 hitfeed.cfg not found, created it in \x82/luafiles\x80.")
		S_StartSound(nil, sfx_hfcrea, consoleplayer)
	else	-- we got a config, load it!
		for line in config:lines()
			COM_BufInsertText(consoleplayer, line)
		end
		CONS_Printf(consoleplayer, "\x83NOTICE:\x80 Successfully loaded hitfeed.cfg!")
		S_StartSound(nil, sfx_hfload, consoleplayer)
	end
	config:close()
		
	-- set this to true, we dont wanna do this again.
	loaded = true
end)